    The XSPEC nsa model: neutron star atmosphere.

xsnsa
The xsnsa model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsnsa", "mdl")
>>> print(mdl)

Create a component of the xsnsa model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.LogT_eff thawed 6 5 7 K mdl.M_ns thawed 1.4 0.5 2.5 Msun mdl.R_ns thawed 10 5 20 km mdl.MagField frozen 0 0 5e+13 G mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
LogT_eff
The log of Teff, the unredshifted effective temperature.
M_ns
The neutron star gravitational mass, in units of the solar mass.
R_ns
The neutron star radius, in km.
MagField
The neutron star magnetic field strength, in Gauss. It must be fixed at one of 0, 1e12, or 1e13 G.
norm
The normalization is 1/D^2, where D is the distance to the neutron star in pc.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelNsa.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023